// SetupDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TrackDemo.h"
#include "SetupDlg.h"


// CSetupDlg dialog

IMPLEMENT_DYNAMIC(CSetupDlg, CDialog)

CSetupDlg::CSetupDlg(CWnd* pParent /*=NULL*/)
  : CDialog(CSetupDlg::IDD, pParent)
  , m_gwip(_T(""))
  , m_gwkey(_T(""))
  , m_gwport(0)
  , m_mynodeid(0)
  , m_hisnodeid(0)
{
}

CSetupDlg::~CSetupDlg()
{
}

void CSetupDlg::DoDataExchange(CDataExchange* pDX)
{
  CDialog::DoDataExchange(pDX);
  DDX_Control(pDX, IDC_SPINPORT, m_spinport);
  DDX_Text(pDX, IDC_GWIP, m_gwip);
  DDX_Text(pDX, IDC_GWKEY, m_gwkey);
  DDV_MaxChars(pDX, m_gwkey, 8);
  DDX_Text(pDX, IDC_GWPORT, m_gwport);
  DDV_MinMaxInt(pDX, m_gwport, 1, 65535);
  DDX_Text(pDX, IDC_MYNODEID, m_mynodeid);
  DDX_Text(pDX, IDC_HISNODEID, m_hisnodeid);
}


BEGIN_MESSAGE_MAP(CSetupDlg, CDialog)
END_MESSAGE_MAP()


// CSetupDlg message handlers

BOOL CSetupDlg::OnInitDialog()
{
  CDialog::OnInitDialog();
  m_spinport.SetRange32(1, 65535);
  return TRUE;
}
